package com.fdkanfang.service.backend;

import com.fdkanfang.common.model.PageDto;
import com.fdkanfang.domain.backend.HouseEntity;
import com.fdkanfang.domain.response.HouseResponse;
import com.fdkanfang.service.IBaseMapperService;

import java.util.List;

/**
 * Created by owen on 2020/3/12 0012 9:52
 */
public interface HouseService2 extends IBaseMapperService<HouseEntity, Long> {

    List<HouseResponse> findAllBySearchKey(PageDto param, Long userId, Long handlerId);

    List<HouseResponse> findBySearchKeyForEditOrUploader(PageDto param, Long handlerId , Long uploadId);

    Integer findByMaxNum();

    List<HouseEntity> findByNum(String numbers);

    HouseEntity findBySceneCode(String sceneCode);

    /**
     * 这个方法只给有edit、upload使用
     */
    List<HouseResponse> findBySearchKey(PageDto param, Long userId, Long handlerId);
}
